<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_9f55fef472b741cb222ce4503e9001" . "2a" => base64_decode("cHViX" . "3BhZ2" . "U="), "_1be4a86ec540588" . "94c0dc8eeb44bf65" . "a" => base64_decode("Y29tbW9uLnR5c" . "GUucHViX3BhZ2" . "Vz"), "_0c5123aa744f69bbc0e8b3ea" . "2f6e847d" => base64_decode("bG1zZ" . "w=="), "_bdf46cfa1aba0af38c9a9" . "fa98dfd831b" => base64_decode("YXBwX3B1Ymxpc2" . "g="));
use Claromentis\Publish\PublishApplication as PublishPublishApplication;
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_9f55fef4" . "72b741cb2" . "22ce4503e" . "90012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_1be4a86ec5405" . "8894c0dc8eeb44" . "bf65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_bdf46cfa1aba0af38c9a" . "9fa98dfd831b"];
    }
    public function GetIcon() : string
    {
        return PublishPublishApplication::APPLICATION_SVG_URL;
    }
}